part of kitcod_uikit_flutter;

class FeedPost {
  const FeedPost({
    required this.name,
    required this.profileImageUrl,
    required this.username,
    required this.likes,
    required this.comments,
    required this.shares,
    required this.groupTags,
    required this.postedTime,
    required this.commentsList,
    this.feedTitle,
    this.description,
    this.feedImageUrl,
    this.feedWebsiteUrl,
    this.feedVideoUrl,
    this.feedPollDetails,
    this.feedAudioTitle,
    this.feedAudioUrl,
  });

  final String name;
  final String username;
  final String? description;
  final String? feedImageUrl;
  final String profileImageUrl;
  final String postedTime;
  final num likes;
  final num comments;
  final num shares;
  final String? feedTitle;
  final String? feedWebsiteUrl;
  final String? feedVideoUrl;
  final PollDetails? feedPollDetails;
  final String? feedAudioUrl;
  final String? feedAudioTitle;
  final List<String> groupTags;
  final List<Comment> commentsList;
}
